# Attributed Stream Hypergraph (ASH)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Documentation Status](https://readthedocs.org/projects/ash-model/badge/?version=latest)](https://ash-model.readthedocs.io//en/latest/?badge=latest)
[![Updates](https://pyup.io/repos/github/GiulioRossetti/ASH/shield.svg)](https://pyup.io/repos/github/GiulioRossetti/ASH/)
[![pyversions](https://img.shields.io/pypi/pyversions/ash-model.svg)](https://badge.fury.io/py/ash-model)
[![PyPI version](https://badge.fury.io/py/ash-model.svg)](https://badge.fury.io/py/ash-model)
[![SBD++](https://img.shields.io/badge/Available%20on-SoBigData%2B%2B-green)](https://sobigdata.d4science.org/group/sobigdata-gateway/explore?siteId=20371853)

``ASH`` is a Python software package that allows to represent and analyze dynamic hypergraphs enriched with node attributes.


If you use ``ASH`` as support to your research consider citing:
 
> A. Failla, S. Citraro, G. Rossetti
> 
> **Attributed Stream Hypergraphs: temporal modeling of node-attributed high-order interactions.**
> 
> [arXiv:2303.18226](https://arxiv.org/abs/2303.18226)
> 2023

## Tutorial and Online Environments

Check out the official [tutorial](https://ash-model.readthedocs.io/en/latest/tutorial.html) to get started!

If you would like to test ``ASH`` functionalities without installing anything on your machine consider using the preconfigured Jupyter Hub instances offered by [SoBigData++](https://sobigdata.d4science.org/group/sobigdata-gateway/explore?siteId=20371853).

## Installation

``ASH`` *requires* python>=3.9.

To install the latest version of our library just download (or clone) the current project, open a terminal and run the following commands:

```bash
pip install -r requirements.txt
pip install .
```

Alternatively use pip
```bash
pip install ash_model 
```

or conda
```bash
conda config --add channels giuliorossetti
conda config --add channels conda-forge
conda install ash_model
```

## Collaborate with us!

``ASH`` is an active project, any contribution is welcome!

If you like to include your model in ASH feel free to fork the project, open an issue and contact us.

